/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: os.c,v 1.4 1996/07/02 14:22:56 tiggr Exp $  */

#include <dl.h>

void
dload_initialize ()
{
}

void *
dload_load (char *name)
{
  return shl_load (name, BIND_IMMEDIATE | BIND_VERBOSE, 0);
}

void *
dload_lookup (void *handle, char *name)
{
  void *value;

  if (shl_findsym ((void *) &handle, name, TYPE_UNDEFINED, &value))
    value = NULL;

  return value;
}

struct trtd_module *
dload_get_trt_module_info (void *handle)
{
  char *name = DLOAD_SYMBOL_PREFIX TRT_MODULE_INFO;
  return dload_lookup (handle, name);
}
