/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: target.h,v 1.7 1996/06/24 21:34:59 tiggr Exp $  */

#define STACK_REF_STRUCT  1

/* bzero calls memset on hpux, consuming 25% on the average call.  */
#define EFILLZERO(ELT, NUM)  \
  formac (of, @"memset (&(%@), 0, %d * sizeof (%@));\n", (ELT), (NUM), (ELT))

#define BZERO(A, N)  memset ((A), 0, (N))

/* Get the declaration of memset(3).  */
#define OUTPUT_FILE_PREAMBLE(F)  \
  formac ((F), @"#include <string.h>\n")

#define SOMETHINGS_VERY_WRONG_WITH_THE_GNU_RUNTIME

#include <config/default.h>
