/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: LTIVariable.m,v 1.2 1996/03/25 17:40:19 tiggr Exp $  */

#define LTIVARIABLE_DECLARE_PRIVATE_METHODS
#import "LTIVariable.h"

@implementation LTIVariable

-(void) gcReference
{
  MARK (static_name);

  [super gcReference];
} /* -gcReference */

-(void) setStaticName: (id <TLString>) sn
{
  ASGN_IVAR (static_name, sn);
} /* -setStaticName: */

-(id <TLString>) staticName
{
  return static_name;
} /* -staticName */

@end
