/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: LTTClass.h,v 1.1 1996/02/07 17:46:51 tiggr Exp $  */

#ifdef LTTCLASS_DECLARE_PRIVATE_METHODS
#define LTTMETA_DECLARE_PRIVATE_METHODS
#endif
#import "LTTMeta.h"

@class LTTInstance;

@interface LTTClass: LTTMeta
{
  LTTInstance *instance;
}

-(LTTInstance *) instance;
-(void) setInstance: (LTTInstance *) i;

#ifdef LTTCLASS_DECLARE_PRIVATE_METHODS

#endif

@end
