/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: LTTFileItem.h,v 1.2 1996/05/01 11:19:45 tiggr Exp $  */

#import "LTTEntity.h"

@class LTTFile;

@interface LTTFileItem: LTTEntity
{
  /* The file containing us.  */
  LTTFile *container;
}

-(id) initWithName: (LTTName *) n file: (LTTFile *) f;

-(LTTFile *) container;

@end
