/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMBreak.h,v 1.4 1996/04/14 22:36:19 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMBreak: OTMExpr
{
  /* The value we pass up.  */
  OTMExpr *value;
}

+(OTMBreak *) jumpStatement;

+(OTMBreak *) jumpStatementWithValue: (OTMExpr *) value;

-(void) compileJump;

#ifdef OTMBREAK_DECLARE_PRIVATE_METHODS

-(id) initWithValue: (OTMExpr *) e;

#endif

@end
