/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMCast.h,v 1.1 1996/02/28 13:21:47 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMCast: OTMExpr
{
  /* Our actual expression.  */
  OTMExpr *expr;
}

+(OTMCast *) castWithExpr: (OTMExpr *) expr type: (OTMType *) type;

-initWithExpr: (OTMExpr *) expr type: (OTMType *) type;

@end
