/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMCatch.h,v 1.1 1996/05/03 16:15:23 tiggr Exp $  */

#import "OTMCompound.h"

@interface OTMCatch: OTMCompound
{
  OTMExpr *tag;
}

+(OTMCatch *) catchWithTag: (OTMExpr *) t container: (OTMCompound *) c;

#ifdef OTMCATCH_DECLARE_PRIVATE_METHODS

-(id) initWithTag: (OTMExpr *) t container: (OTMCompound *) c;

#endif

@end
