/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMConstant.h,v 1.2 1996/05/21 16:31:15 tiggr Exp $  */

#import "OTMExpr.h"

@class OTMExtension;

@interface OTMConstant: OTMExpr
{
  OTMExtension *ext;

  id <TLString> name;

  OTMExpr *value;
}

+(OTMConstant *) constantWithExtension: (OTMExtension *) x
				  name: (id <TLString>) n
				 value: (OTMExpr *) v;

-(void) dumpInfo: (id <TLOutputStream>) s;

-(OTMExtension *) extension;

#ifdef OTMCONSTANT_DECLARE_PRIVATE_METHODS

-(id) initWithExtension: (OTMExtension *) x
		   name: (id <TLString>) n
		  value: (OTMExpr *) v;

#endif

@end
