/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMEntity.m,v 1.8 1996/02/09 16:27:06 tiggr Exp $  */

#import "OTMEntity.h"

@implementation OTMEntity

-(void) gcReference
{
  MARK (name);
  [super gcReference];
} /* -gcReference */

-initWithName: (TLString *) n
{
  [super init];

  name = n;

  return self;
} /* -initWithName: */

-(TLString *) name
{
  return name;
} /* -name */

-(id <TLString>) outputTypeName
{
  return name;
} /* outputTypeName */

@end
