/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMForeignExpr.m,v 1.1 1996/03/10 23:51:47 tiggr Exp $  */

#define OTMFOREIGNEXPR_DECLARE_PRIVATE_METHODS
#import "OTMForeignExpr.h"

@implementation OTMForeignExpr

-(void) gcReference
{
  MARK (output);

  [super gcReference];
} /* -gcReference */

-(id) initWithType: (OTMType *) t string: (id <TLString>) s;
{
  if (![super initWithType: t])
    return nil;

  output = s;

  return self;
} /* -initWithString: */

-(id) outputReference
{
  return output;
} /* -outputReference */

-(id <TLString>) result
{
  return [self outputReference];
} /* -result */

@end
