/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMMetaRef.h,v 1.1 1996/02/28 13:21:48 tiggr Exp $  */

#import "OTMExpr.h"

@class OTMMeta;

@interface OTMMetaRef: OTMExpr
{
  /* Our meta.  */
  OTMMeta *meta;
}

+(OTMMetaRef *) metaRefWithMeta: (OTMMeta *) meta;

-initWithMeta: (OTMMeta *) meta;

@end
