/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMNumberCST.h,v 1.1 1996/03/21 00:46:28 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMNumberCST: OTMExpr
{
  /* The value in the output language.  */
  id <TLString> value;
}

+(OTMNumberCST *) numberWithValue: (id <TLString>) v type: (OTMType *) t;

-(id <TLString>) value;

#ifdef OTMNUMBERCST_DECLARE_PRIVATE_METHODS

-(id) initWithValue: (id) v type: (OTMType *) t;

#endif

@end
