/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMRefVar.m,v 1.5 1996/02/21 17:18:40 tiggr Exp $  */

#define OTMREFVAR_DECLARE_PRIVATE_METHODS
#import "OTMRefVar.h"
#import "OTMType.h"

@implementation OTMRefVar

-(id) outputDeclaration: (id) s
{
  return formac (s, @"%@ *%@", [(OTMType *) type outputTypeName],
		 [self outputName]);
} /* -outputDeclaration: */

-(id) outputReference
{
  return formac (nil, @"*%@", name);
} /* -outputReference */

@end
