/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMReturn.m,v 1.12 1996/04/11 14:52:44 tiggr Exp $  */

#define OTMRETURN_DECLARE_PRIVATE_METHODS
#import "OTMReturn.h"
#import "OTMCustomMethod.h"
#import "OTMType.h"
#import "global.h"

@implementation OTMReturn

-(id) elaborate
{
  emit_assignment (lhs, [rhs elaborate]);

  emit_statement (self);

  return lhs;
} /* -elaborate */

-(void) compile
{
  formac (of, @"%@goto %@;", nl (), TO_RETURN_LABEL);
} /* -compile */

@end
