/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMUnwind.h,v 1.1 1996/05/07 15:03:19 tiggr Exp $  */

#import "OTMCompound.h"

@interface OTMUnwind: OTMCompound
{
  OTMExpr *protection;
}

+(OTMUnwind *) unwindWithProtection: (OTMExpr *) t container: (OTMCompound *) c;

#ifdef OTMUNWIND_DECLARE_PRIVATE_METHODS

-(id) initWithProtection: (OTMExpr *) p container: (OTMCompound *) c;

#endif

@end
