<copyright> Bag and MutableBag classes.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: Bag.t,v 1.3 1996/09/07 20:02:46 tiggr Exp $</id>
    </copyright>

<doc> A Bag is a {Keyed} {Collection}.  </doc>

/******************** Bag ********************/

implementation class
Bag: HashTable, Keyed

end;

implementation instance
Bag

<doc> Return the number of times the element {key} is present in the bag.
    </doc>
extern int
  at All object;

/********** Keyed **********/

<doc> Return the {object} if present; {nil} otherwise.  </doc>
extern Any
  at All object;

/********** Enumerable **********/

Enumerator
  enumerator
{
  //
  [self unimplemented cmd];

  = nil
}

id
  initWithEnumerator Enumerator e
{
  //
  [self unimplemented cmd];

  = self
}

end;

/******************** MutableBag ********************/

implementation class
MutableBag: Bag, MutableKeyed

end;

implementation instance
MutableBag

<doc> Add the {object} {num} times.  </doc>
extern void
    add All object
  count int num;

/********** MutableKeyed **********/

<doc> Add the {object}.  </doc>
void
  add All object
{
  [self add object count 1]
}

end;
