<copyright> Bundle class, modeled after NeXT's Objective-C NSBundle.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: Bundle.t,v 1.3 1996/07/04 11:57:15 tiggr Exp $</id>
    </copyright>

implementation class
Bundle: State

<doc> Load the {object}, returning the underlying operating system handle
    upon success, or the NULL pointer upon failure.  An {error} is signaled
    in case of the latter.  </doc>
extern pointer
  load String object;

end;

implementation instance
Bundle
{
  <doc> The directory.  </doc>
  public String directory;

  <doc> Iff not the null pointer, the handle (in the underlying operating
      system) to the code loaded for this bundle.  Iff it is the null
      pointer, the code has not (yet) been loaded.  </doc>
  pointer handle;
}

id
  init String d
{
  directory = d;

  = self
}

end;
