<copyright> CharString class.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1995, 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: CharString.t,v 1.6 1996/08/16 14:32:44 tiggr Exp $</id>
    </copyright>

implementation class
CharString: CharArray

end;

implementation instance
CharString

redefine boolean
  equal String other
{
  = [other equalCharString self]
}

boolean
  equalByteString ByteString other
{
  = [other equalCharString self]
}

extern boolean
  equalCharString id other;

redefine boolean
  equalUniqueString UniqueString other
{
  = [other equalCharString self]
}

<doc> Initialize the newly allocated instance with the {num} characters at
    {p}.  The receiving instance will `own' the memory at {p}.  </doc>
protected id
  init (pointer, int) (p, num)
{
  (contents, length) = (p, num);

  = self
}

extern MutableCharString
  mutableSubstring (int, int) (start, len);

extern CharString
  substring (int, int) (start, len);

extern UniqueCharString
  uniqueString;

end;
