<copyright> EqSet and MutableEqSet classes.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: EqSet.t,v 1.3 1996/05/30 14:40:57 tiggr Exp $</id>
    </copyright>

// Maybe EqSet should inherit directly from {Set}.
// Thu May 30 14:56:28 1996, tiggr@tom.es.ele.tue.nl
<doc> An {EqSet} is a {Keyed} {EqHashTable} which hashes objects on their
    address, and which tests object equality by address equality.  </doc>
implementation class
EqSet: EqHashTable, Keyed

end;

implementation instance
EqSet

/********** Enumerable **********/

Enumerator
  enumerator
{
  //
  [self unimplemented cmd];

  = nil
}

id
  initWithEnumerator Enumerator e
{
  //
  [self unimplemented cmd];

  = self
}

/********** Keyed **********/

<doc> Return the {key} if present, or {nil} otherwise.  </doc>
extern Any
  at All key;

end;

implementation class
MutableEqSet: EqSet, MutableKeyed, Container

end;

implementation instance
MutableEqSet

/********** MutableKeyed **********/

extern void
  add All object;

extern void
  remove All object;

/********** Container **********/

redefine extern void
  gc_container_mark_elements;

end;
