<copyright> MutableCharArray class.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1995, 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: MutableCharArray.t,v 1.16 1996/08/07 15:31:19 tiggr Exp $</id>
    </copyright>

implementation class
MutableCharArray: CharArray, MutableArray

end;

implementation instance
MutableCharArray

redefine void
  freeze
{
  isa = [CharArray self]
}

extern id
  initWithCapacity int capacity;

redefine protected id
  initWithEnumerator Enumerator e
{
  [super (CharArray) initWithEnumerator e];

  capacity = length;

  = self
}

extern char
  removeAt int index;

extern void
  removeElements (int, int) (start, length);

extern void
  resize int to;

extern void
  set char c
   at int index;

CharNumber
  removeAt int index
{
  = [CharNumber with [self removeAt index]]
}

void
  set All object
   at int index
{
  [self set [Number (object) charValue] at index]
}

extern void
  swap (int, int) (i, j);

end;
