/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: numberdef.c,v 1.5 1996/06/05 10:57:37 tiggr Exp $  */


#define VALUE(RT, FRT)  \
RT C5 (i_tom_, CP, Number_, FRT, Value)				\
  (tom_object self, selector *_cmd)				\
{								\
  struct C3 (_es_i_tom_, CP, Number) *this;			\
  this = trt_ext_address (self, C3 (_ei_i_tom_, CP, Number));	\
  return this->value;						\
}

VALUE (tom_byte, b_byte)
VALUE (tom_char, c_char)
VALUE (tom_int, i_int)
VALUE (tom_long, l_long)
VALUE (tom_float, f_float)
VALUE (tom_double, d_double)

#define INIT(AT, FRT)  \
tom_object C4 (i_tom_, CP, Number_r_init_, FRT)			\
  (tom_object self, selector *_cmd, AT value)			\
{								\
  struct C3 (_es_i_tom_, CP, Number) *this;			\
  this = trt_ext_address (self, C3 (_ei_i_tom_, CP, Number));	\
  this->value = value;						\
  return self;							\
}

INIT (tom_byte, b)
INIT (tom_char, c)
INIT (tom_int, i)
INIT (tom_long, l)
INIT (tom_float, f)
INIT (tom_double, d)
