/* FreeBSD target OS.
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: target.h,v 1.1 1996/06/07 16:08:53 tiggr Exp $  */

#ifdef __ASSEMBLER__
#define AS_LABEL_UNDERSCORES
#else

/* Some things are broken.  Some things are more broken...  */
#define MAP_ANONYMOUS  MAP_ANON

/* We'll use the STACK_REF_STRUCT until mmap has been fixed (now it
   dumps core when called from alloc_chunks_range).  */
#define STACK_REF_STRUCT  1

/* Get the declaration of bzero(3).  */
#define OUTPUT_FILE_PREAMBLE(F)  \
  formac ((F), @"#include <strings.h>\n")

#include <config/default.h>

#define SOMETHINGS_VERY_WRONG_WITH_THE_GNU_RUNTIME
#endif
