<copyright> TOM parser generator lexer.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright (C) 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: GPLex.t,v 1.4 1996/09/02 15:53:04 tiggr Exp $</id>
    </copyright>

implementation class
GPLex: Lexer
{
  // The stream we're reading.  Yes, this is static, since we're using flex
  // and flex sucks.
  // Fri Jun 14 16:53:56 1996, tiggr@cobra.es.ele.tue.nl
  static InputStream lex_stream;
}

end;

implementation instance
GPLex
{
  <doc> The line number at which the last `//' was encountered.  </doc>
  int slash_slash_line;
}

redefine id
  initWithStream InputStream s
	   named String n
{
  slash_slash_line = 1;
  lex_stream = s;

  = [super initWithStream s named n]
}

extern int
  nextToken;

end;
