/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: LTTFileItem.m,v 1.2 1996/05/01 11:19:46 tiggr Exp $  */

#import "ltt.h"

@implementation LTTFileItem

-(LTTFile *) container
{
  return container;
} /* -container */

-(void) gcReference
{
  MARK (container);

  [super gcReference];
} /* -gcReference */

-(id) initWithName: (LTTName *) n file: (LTTFile *) f
{
  [super initWithName: n];

  container = f;
  [container addItem: self];

  return self;
} /* -initWithName:file: */

@end
