/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: LTTVariable.h,v 1.1 1996/02/19 17:50:36 tiggr Exp $  */

#import "LTTEntity.h"

@class LTTExtension;

@interface LTTVariable: LTTEntity
{
  /* Our extension.  */
  LTTExtension *extension;

  /* Our type.  */
  id type;
}

+(LTTVariable *) variableWithName: (id <TLString>) n
			extension: (LTTExtension *) e;

-(LTTExtension *) extension;

-(void) setType: (id) t;
-(id) type;

#ifdef LTTVARIABLE_DECLARE_PRIVATE_METHODS

-(id) initWithName: (TLString *) n extension: (LTTExtension *) e;

#endif

@end
