/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMAlias.h,v 1.1 1996/04/15 16:19:21 tiggr Exp $  */

#ifdef OTMALIAS_DECLARE_PRIVATE_METHODS
#define OTMCONSTANT_DECLARE_PRIVATE_METHODS
#endif
#import "OTMConstant.h"
#import "global.h"

@class OTMObjectVar;

@interface OTMAlias: OTMConstant
{
}

+(OTMAlias *) aliasWithExtension: (OTMExtension *) e
			variable: (OTMObjectVar *) orig
			    type: (OTMType *) t
		      qualifiers: (otm_qualifiers) q;

#ifdef OTMALIAS_DECLARE_PRIVATE_METHODS

/* Designated initializer.  */
-(id) initWithExtension: (OTMExtension *) e
	       variable: (OTMObjectVar *) orig
		   type: (OTMType *) t
	     qualifiers: (otm_qualifiers) q;

#endif

@end
