/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMAnyRefType.m,v 1.2 1996/05/13 22:38:55 tiggr Exp $  */

#import "OTMAnyRefType.h"

@implementation OTMAnyRefType

-(BOOL) isObjectType
{
  return YES;
}

-(int) matchesConvertibly: (OTMType *) t
{
  return [t isObjectType] ? 0 : -1;
} /* -matchesConvertibly: */

-(id) name
{
  return @"any reference type";
} /* -name */

@end
