/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMAssignment.h,v 1.3 1996/02/09 16:27:01 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMAssignment: OTMExpr
{
  OTMExpr *lhs, *rhs;
}

+(OTMAssignment *) assignmentWithLhs: (OTMExpr *) l
				 rhs: (OTMExpr *) r;

#ifdef OTMASSIGNMENT_DECLARE_PRIVATE_METHODS

-(id) initWithLhs: (OTMExpr *) l
	      rhs: (OTMExpr *) r;

#endif

@end
