/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMCondExpr.h,v 1.3 1996/04/02 15:33:53 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMCondExpr: OTMExpr
{
  OTMExpr *ip, *tp, *ep;

  /* Our the possible types.  */
  TLCons *possible_types;
}

+(OTMCondExpr *) iteWithCondition: (OTMExpr *) c
			 thenPart: (OTMExpr *) t
			 elsePart: (OTMExpr *) e;

#ifdef OTMCONDEXPR_DECLARE_PRIVATE_METHODS

-(id) initWithCondition: (OTMExpr *) c
			 thenPart: (OTMExpr *) t
			 elsePart: (OTMExpr *) e;

#endif

@end
