/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMError.h,v 1.2 1996/05/17 16:33:14 tiggr Exp $  */

#import "OTMExpr.h"

@class OTMError;

extern OTMError *an_error;

@interface OTMError: OTMExpr
{
}

+(void) init;

/* Return the AN_ERROR.  Call this method when creating a new error node
   reference.  (And set a breakpoint in this method to track error
   creation without error reporting to the user.)  */
+(OTMError *) sharedError;

#ifdef OTMERROR_DECLARE_PRIVATE_METHODS

#endif

@end
