/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMForeignType.h,v 1.1 1996/02/20 17:50:45 tiggr Exp $  */

#import "OTMType.h"

@interface OTMForeignType: OTMType
{
  id <TLString> output;
}

+(OTMForeignType *) foreignTypeWithString: (id <TLString>) s;

#ifdef OTMFOREIGNTYPE_DECLARE_PRIVATE_METHODS

-(id) initWithString: (id <TLString>) s;

#endif

@end
