/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMForeignType.m,v 1.1 1996/02/20 17:50:45 tiggr Exp $  */

#define OTMFOREIGNTYPE_DECLARE_PRIVATE_METHODS
#import "OTMForeignType.h"

@implementation OTMForeignType

+(OTMForeignType *) foreignTypeWithString: (id <TLString>) s;
{
  return [[self gcAlloc] initWithString: s];
} /* +foreignTypeWithString: */

-(void) gcReference
{
  MARK (output);

  [super gcReference];
} /* -gcReference */

-(id) initWithString: (id <TLString>) s
{
  if (![super init])
    return nil;

  output = s;

  return self;
} /* -initWithString: */

-(id <TLString>) outputTypeName
{
  return output;
} /* -outputTypeName */

@end
