/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMITE.h,v 1.2 1996/02/09 16:27:08 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMITE: OTMExpr
{
  OTMExpr *ip;

  OTMCompound *tp, *ep;
}

+(OTMITE *) iteWithCondition: (OTMExpr *) c;

-(void) setThen: (OTMCompound *) t;
-(void) setElse: (OTMCompound *) e;

#ifdef OTMITE_DECLARE_PRIVATE_METHODS

-(id) initWithCondition: (OTMExpr *) c;

#endif

@end
