/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMLoop.h,v 1.3 1996/04/12 16:50:56 tiggr Exp $  */

#import "OTMCompound.h"

@interface OTMLoop: OTMCompound
{
  /* Condition to be tested.  */
  OTMExpr *condition;

  /* Whether the test must be executed before or after the body.  */
  unsigned int post_not_pre: 1;
}

+(OTMLoop *) loopWithContainer: (OTMCompound *) c;

-(void) setCondition: (OTMExpr *) e atEnd: (BOOL) end_not_start;

@end
