/*
   Written by Pieter J. Schoenmakers <tiggr@es.ele.tue.nl>

   Copyright (C) 1996 Pieter J. Schoenmakers.
   All rights reserved.

   This file is part of TOM.  TOM is distributed under the terms of the
   TOM License, a copy of which can be found in the TOM distribution; see
   the file LICENSE.

   $Id: OTMSelector.h,v 1.2 1996/05/09 16:58:37 tiggr Exp $  */

#import "OTMExpr.h"

@interface OTMSelector: OTMExpr
{
  LTTSelector *structure;
}

-(LTTSelector *) structure;

-(void) compileDeclaration;

#ifdef OTMSELECTOR_DECLARE_PRIVATE_METHODS

-(id) initWithStructure: (LTTSelector *) sel;

#endif

@end
