<copyright> ByteStream class.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1995, 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: ByteStream.t,v 1.7 1996/08/15 16:43:35 tiggr Exp $</id>
    </copyright>

<doc> Instances of the {ByteStream} class are an abstraction of the UNIX
    file descriptors.  </doc>
implementation class
ByteStream: Descriptor, InputOutputStream

end;

implementation instance
ByteStream

/******************** InputStream ********************/
<doc> h{InputStream}  </doc>

extern byte
  read;

extern int
  read;

int
  readRange (int, int) (start, num)
       into MutableByteArray buffer
{
  = [buffer readRange (start, num) fromByteStream self]
}

/******************** OutputStream ********************/
<doc> h{OutputStream}  </doc>

extern void
  write byte b;

extern int
  write byte b;

extern int
  writeRange (int, int) (start, length)
        from ByteArray buffer;

end;
