<copyright> MutableByteArray class.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1995, 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: MutableByteArray.t,v 1.17 1996/08/07 15:31:17 tiggr Exp $</id>
    </copyright>

implementation class
MutableByteArray: ByteArray, MutableArray, OutputStream

end;

implementation instance
MutableByteArray

void
  add byte b
{
  [self set b at length]
}

redefine void
  freeze
{
  isa = [ByteArray self]
}

extern id
  initWithCapacity int capacity;

redefine protected id
  initWithEnumerator Enumerator e
{
  [super (ByteArray) initWithEnumerator e];

  capacity = length;

  = self
}

extern byte
  removeAt int index;

Any
  removeAt int index
{
  byte b = [self removeAt index];

  = Any ([ByteNumber with b])
}

extern void 
  removeElements (int, int) (start, length);

extern void
  resize int to;

extern void
  set byte b
   at int index;

void
  set All object
   at int index
{
  self[index] = [Number (object) byteValue]
}

extern void
  swap (int, int) (i, j);

/******************** streams ********************/

void
  close
{
  void
}

extern int
       readRange (int, int) (start, num)
  fromByteStream ByteStream f;

extern int
      readRange (int, int) (start, num)
  fromByteArray ByteArray source
	     to int position;

void
  write byte b
{
  [self add b]
}

int
  write byte b
{
  [self add b];

  = 1
}

extern int
  writeRange (int, int) (start, len)
        from ByteArray buffer;

end;
