<copyright> ObjectArray class.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1995, 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: ObjectArray.t,v 1.16 1996/05/24 16:47:51 tiggr Exp $</id>
    </copyright>

implementation class
ObjectArray: Array

extern instance (id)
  with dynamic elements;

end;

implementation instance
ObjectArray

protected extern id
  initWithEnumerator Enumerator e;

<doc> Return the object at {index} in the receiving array.  </doc>
extern Any
  at int index;

<doc> This method is invoked by the garbage collector to have the
    receiving object mark the elements it references.  An {ObjectArray}
    must reference the objects it holds.  </doc>
private redefine extern void
  gc_mark_elements;

extern  (pointer, int)
  pointerToElements (int, int) (start, len);

end;
