<copyright> Selector class.
    Written by <a href="mailto:tiggr@es.ele.tue.nl">Pieter J. Schoenmakers</a>

    Copyright &copy; 1995, 1996 Pieter J. Schoenmakers.
    All rights reserved.

    This file is part of TOM.  TOM is distributed under the terms of the
    TOM License, a copy of which can be found in the TOM distribution; see
    the file LICENSE.

    <id>$Id: Selector.t,v 1.2 1996/05/21 16:31:47 tiggr Exp $</id>
    </copyright>

<doc> A {Selector} is an object wrapper for a selector.  </doc>
implementation class
Selector: State

instance (id)
  with selector sel
{
  = [[self alloc] init sel]
}

end;

implementation instance
Selector
{
  <doc> The selector which we wrap.  </doc>
  selector sel;
}

<doc> Designated initializer.  </doc>
id
  init selector s
{
  sel = s;

  = self
}

<doc> Return the name of the selector.  </doc>
String
  name
{
  = [Runtime nameOfSelector sel]
}

<doc> Return the selector we wrap.  </doc>
selector
  selector
{
  = sel
}

end;
